Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.wizard
Interface IWizardContainer

All Superinterfaces:
  IRunnableContext

All Known Subinterfaces:
  IWizardContainer2

All Known Implementing Classes:
  WizardDialog

public interface IWizardContainer
extends IRunnableContext

Interface for containers that can host a wizard. It displays wizard pages, at most one of which is considered the current page. `getCurrentPage` returns the current page; `showPage` programmatically changes the the current page. Note that the pages need not all belong to the same wizard.

The class `WizardDialog` provides a fully functional implementation of this interface which will meet the needs of most clients. However, clients are also free to implement this interface if `WizardDialog` does not suit their needs.

Implementors are responsible for disposing of their wizards.

See Also:
  `IWizardContainer2`

Method Summary
`IWizardPage` | `getCurrentPage()` Returns the current wizard page for this container.
`Shell` | `getShell()` Returns the shell for this wizard container.
`void` | `showPage(IWizardPage page)` Makes the given page visible.
`void` | `updateButtons()` Adjusts the enable state of the Back, Next, and Finish buttons to reflect the state of the currently active page in this container.
`void` | `updateMessage()` Updates the message (or error message) shown in the message line to reflect the state of the currently active page in this container.
`void` | `updateTitleBar()` Updates the title bar (title, description, and image) to reflect the state of the currently active page in this container.
`void` | `updateWindowTitle()` Updates the window title to reflect the state of the current wizard.

Methods inherited from interface org.eclipse.jface.operation.IRunnableContext
`run`

Method Detail

### getCurrentPage

    public IWizardPage getCurrentPage()

  Returns the current wizard page for this container.

  Returns:
    the current wizard page, or `null` if the container is not yet showing the wizard
  See Also:
    `showPage(org.eclipse.jface.wizard.IWizardPage)`

### getShell

    public Shell getShell()

  Returns the shell for this wizard container.

  Returns:
    the shell, or `null` if this wizard container does not have a shell

### showPage

    public void showPage(IWizardPage page)

  Makes the given page visible.

  This method should not be use for normal page sequencing (back, next) which is handled by the container itself. It may, however, be used to move to another page in response to some custom action such as double clicking in a list.

  Parameters:
    `page` - the page to show
  See Also:
    `getCurrentPage()`

### updateButtons

    public void updateButtons()

  Adjusts the enable state of the Back, Next, and Finish buttons to reflect the state of the currently active page in this container.

  This method is called by the container itself when its wizard page changes and may be called by the page at other times to force a button state update.

### updateMessage

    public void updateMessage()

  Updates the message (or error message) shown in the message line to reflect the state of the currently active page in this container.

  This method is called by the container itself when its wizard page changes and may be called by the page at other times to force a message update.

### updateTitleBar

    public void updateTitleBar()

  Updates the title bar (title, description, and image) to reflect the state of the currently active page in this container.

  This method is called by the container itself when its wizard page changes and may be called by the page at other times to force a title bar update.

### updateWindowTitle

    public void updateWindowTitle()

  Updates the window title to reflect the state of the current wizard.

  This method is called by the container itself when its wizard changes and may be called by the wizard at other times to force a window title change.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.